org.eclipse.emf.cdo.spi.common

## Class CDOLobStoreImpl

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.CDOLobStoreImpl

- All Implemented Interfaces:
    CDOLobStore

      public class CDOLobStoreImpl
      extends Object
      implements CDOLobStore

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lob.CDOLobStore

      `CDOLobStore.Delegating`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOLobStoreImpl` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOLobStoreImpl()`
    `CDOLobStoreImpl(File folder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MessageDigest` | `createDigest()`
    `InputStream` | `getBinary(CDOLobInfo info)`
    `File` | `getBinaryFile(byte[] id)`
    `Reader` | `getCharacter(CDOLobInfo info)`
    `File` | `getCharacterFile(byte[] id)`
    `File` | `getFolder()`
    `protected File` | `getTempFile()`
    `CDOLobInfo` | `putBinary(InputStream contents)`
    `CDOLobInfo` | `putCharacter(Reader contents)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOLobStoreImpl INSTANCE

  - ### Constructor Detail

    - #### CDOLobStoreImpl

          public CDOLobStoreImpl(File folder)

    - #### CDOLobStoreImpl

          public CDOLobStoreImpl()

  - ### Method Detail

    - #### getFolder

          public File getFolder()

    - #### getBinaryFile

          public File getBinaryFile(byte[] id)

      Specified by:
        `getBinaryFile` in interface `CDOLobStore`

    - #### getBinary

          public InputStream getBinary(CDOLobInfo info)
                                throws IOException

      Specified by:
        `getBinary` in interface `CDOLobStore`
      Throws:
        `IOException`

    - #### putBinary

          public CDOLobInfo putBinary(InputStream contents)
                               throws IOException

      Specified by:
        `putBinary` in interface `CDOLobStore`
      Throws:
        `IOException`

    - #### getCharacterFile

          public File getCharacterFile(byte[] id)

      Specified by:
        `getCharacterFile` in interface `CDOLobStore`

    - #### getCharacter

          public Reader getCharacter(CDOLobInfo info)
                              throws IOException

      Specified by:
        `getCharacter` in interface `CDOLobStore`
      Throws:
        `IOException`

    - #### putCharacter

          public CDOLobInfo putCharacter(Reader contents)
                                  throws IOException

      Specified by:
        `putCharacter` in interface `CDOLobStore`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### createDigest

          protected MessageDigest createDigest()

    - #### getTempFile

          protected File getTempFile()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html